phing-filters-util

# Class: IniFileTokenReader Source Location: /filters/util/IniFileTokenReader.php
### Class Overview
    TokenReader
       |
       --IniFileTokenReader
Class that allows reading tokens from INI files. #### Author(s): Manuel Holtgewe #### Version: $Revision: 526 $ | ### Methods readToken setFile setSection
### Inherited Variables #### Class: TokenReader TokenReader::$project | ### Inherited Methods #### Class: TokenReader TokenReader::__construct() Constructor TokenReader::log() Utility function for logging TokenReader::readToken() Reads the next token from the Reader
### Class Details [line 33] Class that allows reading tokens from INI files. #### Tags:
author: | Manuel Holtgewe
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method readToken [line 54]
`Token readToken( )`
Reads the next token from the INI file #### Tags:
throws: | IOException On error
Overrides TokenReader::readToken() (Reads the next token from the Reader) [ Top ] ### method setFile [line 88]
`void setFile( $file)`
#### Parameters:
PhingFile | $file |
[ Top ] ### method setSection [line 92]
`void setSection( $str)`
#### Parameters:
| $str |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:06 +0200 by phpDocumentor 1.4.3